/*
*
* CwBdAccountingMapper.java
* Copyright(C) 2017-2020 DHCC
* @date 2019-06-13
*/
package com.dhcc.finance.main.dao;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import com.dhcc.finance.main.domain.CwBdAccounting;
import com.dhcc.finance.main.domain.CwBdAccountingExample;
import com.dhcc.finance.main.domain.CwGlTransferdetail;




public interface CwBdAccountingMapper {
    /**
     *
     * @mbg.generated 2019-06-13
     */
    long countByExample(CwBdAccountingExample example);

    /**
     *
     * @mbg.generated 2019-06-13
     */
    int deleteByExample(CwBdAccountingExample example);

    /**
     *
     * @mbg.generated 2019-06-13
     */
    int deleteByPrimaryKey(String pkAccounting);

    /**
     *
     * @mbg.generated 2019-06-13
     */
    int insert(CwBdAccounting cwBdAccounting);

    /**
     *
     * @mbg.generated 2019-06-13
     */
    int insertSelective(CwBdAccounting record);

    /**
     *
     * @mbg.generated 2019-06-13
     */
    List<CwBdAccounting> selectByExample(CwBdAccountingExample example);

    /**
     *
     * @mbg.generated 2019-06-13
     */
    CwBdAccounting selectByPrimaryKey(String pkAccounting);

    /**
     *
     * @mbg.generated 2019-06-13
     */
    int updateByExampleSelective(@Param("record") CwBdAccounting record, @Param("example") CwBdAccountingExample example);

    /**
     *
     * @mbg.generated 2019-06-13
     */
    int updateByExample(@Param("record") CwBdAccounting record, @Param("example") CwBdAccountingExample example);

    /**
     *
     * @mbg.generated 2019-06-13
     */
    int updateByPrimaryKey(CwBdAccounting record);

    /** 功能描述：查询人员设置
     * @param pkPrepared
     * @param pkAudit
     * @param pkSign
     * @return List<CwBdAccounting>
     * @author hezewei
     * @param pkAccounting 
     * @date 2019年6月13日 下午8:22:16
     * @修改日志：
     */
    List<CwBdAccounting> selectCwBdAccountingByLike(@Param("pkPrepared")String pkPrepared, @Param("pkAudit")String pkAudit, @Param("pkSign")String pkSign, @Param("pkAccounting")String pkAccounting);
    
    /** 功能描述：查询人员设置
     * @param pkPrepared
     * @param pkAudit
     * @param pkSign
     * @return List<CwBdAccounting>
     * @author hezewei
     * @date 2019年6月13日 下午8:22:16
     * @修改日志：
     */
    List<CwBdAccounting> selectCwBdAccountingByLikes(@Param("pkPrepared")String pkPrepared);

    /** 功能描述：删除人员设置
     * @param cwBdAccounting
     * @return int
     * @author hezewei
     * @date 2019年6月15日 上午11:09:30
     * @修改日志：
     */
    int deletePersonnelInformation(CwBdAccounting cwBdAccounting);

    /** 功能描述：修改人员设置信息(启用，禁用人员设置信息)
     * @param cwBdAccounting
     * @return int
     * @author hezewei
     * @date 2019年6月17日 上午10:56:07
     * @修改日志：
     */
    int updateByPrimaryKeySelective(CwBdAccounting cwBdAccounting);
}