
package com.dhcc.finance.main.domain;

import java.util.Date;

import com.dhcc.finance.util.TableColumnName;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
@ApiModel(value = "CwBdScenariorelation",description = "交易场景凭证模板对应关系表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdScenariorelation { 
    @ApiModelProperty(value = "主键", required = true, example = "")
    private String id;

    @ApiModelProperty(value = "业务类型", required = false, example = "")
    private String ywlx;

    @ApiModelProperty(value = "交易码", required = false, example = "")
    private String jym;

    @ApiModelProperty(value = "交易场景名称", required = false, example = "")
    private String jycjmc;

    @ApiModelProperty(value = "信托财产类型", required = false, example = "")
    private String xtcclx;

    @ApiModelProperty(value = "单一集合标志", required = false, example = "")
    private String dyjhbz;

    @ApiModelProperty(value = "运行方式", required = false, example = "")
    private String yxfs;

    @ApiModelProperty(value = "收益权级别", required = false, example = "")
    private String syqfj;

    @ApiModelProperty(value = "财产类别", required = false, example = "")
    private String cclb;

    @ApiModelProperty(value = "申购类型", required = false, example = "")
    private String sglx;

    @ApiModelProperty(value = "合同分类", required = false, example = "")
    private String htfl;

    @ApiModelProperty(value = "投资类别", required = false, example = "")
    private String tzlb;

    @ApiModelProperty(value = "是否回购", required = false, example = "")
    private String sfhg;

    @ApiModelProperty(value = "是否征收增值税", required = false, example = "")
    private String sfzszzs;
    /**
     * 机构类型（贷款类别）
     */
    @ApiModelProperty(value = "机构类型（贷款类别）", required = false, example = "")
    private String jglx;
    /**
     * 是否估值
     */
    @ApiModelProperty(value = "是否估值", required = false, example = "")
    private String sfgz;

    /**
     * 费用类型
     */
    @ApiModelProperty(value = "费用类型", required = false, example = "")
    private String fylx;
    @ApiModelProperty(value = "凭证模板编号", required = false, example = "")
    private String pkVouchtemp;

    @ApiModelProperty(value = "家族信托类型", required = false, example = "")
    private String jzxtlx;

    @ApiModelProperty(value = "批量导入类型", required = false, example = "")
    private String voucherType;

    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;

    }