package com.dhcc.finance.main.model;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwBdAccsubjWeb",description = "账套科目实体")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdAccsubjWeb {
	@ApiModelProperty(value = "科目编码", required = false, example = "")
    private String subjcode;

    @ApiModelProperty(value = "科目名称", required = false, example = "")
    private String subjname;
    
    @ApiModelProperty(value = "科目余额", required = false, example = "")
    private BigDecimal balance;
}
