package com.dhcc.finance.main.domain;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
@ApiModel(value = "CwBdScenariofield", description = "字段配置表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdScenariofield {    
	/**
     * 主键
     */
    @ApiModelProperty(value = "主键", required = true, example = "")
    private String id;

    /**
     * 流水类型
     */
    @ApiModelProperty(value = "流水类型", required = false, example = "")
    private String flowType;

    /**
     * 配置表字段
     */
    @ApiModelProperty(value = "配置表字段", required = false, example = "")
    private String scenarioField;

    /**
     * 流水表字段
     */
    @ApiModelProperty(value = "流水表字段", required = false, example = "")
    private String flowField;
    
}