package com.dhcc.finance.main.domain;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlTransfer {
    @ApiModelProperty(value = "结转方案主键", required = true, example = "")
    private String pkTransfer;

    @ApiModelProperty(value = "科目版本主键", required = false, example = "")
    private String pkSubjscheme;

    @ApiModelProperty(value = "结转方案编码", required = true, example = "")
    private String code;

    @ApiModelProperty(value = "结转方案名称", required = false, example = "")
    private String name;

    @ApiModelProperty(value = "启用状态", required = false, example = "")
    private String enablestate;

    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
}