/**
 * 
 */
package com.dhcc.finance.main.service;

import java.util.List;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwGlInitbuild;
import com.dhcc.finance.main.domain.CwGlSettle;
import com.dhcc.finance.main.domain.CwGlVoucher;
import com.github.pagehelper.PageInfo;

/**
 * @author hp
 *
 */
public interface CwGlInitbuildService {

	/**
	 * @param pageNum
	 * @param pageSize
	 * @param navigatePages
	 * @return RestfulResponse<PageInfo<CwGlVoucher>,CurrencyMeta>
	 *@author huangpeng
	 *@date 2019年4月3日 下午3:45:32
	 *@修改日志：
	 */
	RestfulResponse<PageInfo<CwGlInitbuild>, CurrencyMeta> searchCwGlInitbuildAllData(int pageNum, int pageSize,
			int navigatePages);
	/**
	 * 功能描述：期初导入
	 * @param pkGlorgbook
	 * @param period
	 * @return RestfulResponse<Object,CurrencyMeta>
	 * @author dml
	 * @date 2019年4月29日 下午3:31:24
	 * @修改日志：
	 */
	RestfulResponse<Object, CurrencyMeta> uploadCwGlBalance(String pkGlorgbook,String period);

}
